Best answer

OpenAI error: The app returned "This is a chat model and not supported in the v1/completions endpoint. Did you mean to use v1/chat/completions?".

  • 20 March 2023
  • 6 replies
  • 11151 views

Userlevel 1

I have set up properly the OpenAI Chat GPT 3.5, i am a user with paid subscription.

This is the error message:

 

Failed to create a prompt in OpenAI (GPT-3 & DALL·E)

The app returned "This is a chat model and not supported in the v1/completions endpoint. Did you mean to use v1/chat/completions?".

 

Do anybody know, why is it happening and what is workaround?

 

Thanks a lot.

 

Michael

icon

Best answer by Troy Tessalone 20 March 2023, 16:23

View original

This post has been closed for comments. Please create a new post if you need help or have a question about this topic.

6 replies

Userlevel 1

Hi,

 

I’m having the same issue. I just sent a support ticket to Zapier.  Hopefully, they can fix it soon.

Userlevel 1

I think I see the issue based on the OpenAI playground.  

 

For ‘Complete’ mode, Turbo is not an option.  See the pic below: 

 

 

 

Turbo is only an option for Chat, which doesn’t seem to be an option for the Zapier app:

 

 

Userlevel 7
Badge +14

Hi @mihalytoth and @lincolnt

Good question.

You can access Turbo if you use the ChatGPT Zapier integration instead of the OpenAI Zap app.

Userlevel 1

Heard back from support.  You can access Turbo by adding the Chat GPT Connection instead of the OpenAI one.

Userlevel 1

Yeah, but that one is not working. Always on timeout.

Userlevel 7
Badge +14

@mihalytoth 

Check the OpenAI status page: https://status.openai.com